[Haskell-cafe] Re: build problems on Hackage

Wolfgang Jeltsch g9ks157k at acme.softbase.org
Thu Feb 5 09:03:35 EST 2009

Am Donnerstag, 5. Februar 2009 13:16 schrieb Ross Paterson:
> On Thu, Feb 05, 2009 at 10:41:20AM +0100, Wolfgang Jeltsch wrote:
> > type-level built fine with GHC 6.8 but failed to build with GHC
> >
> > 6.10. The last line of the build log is this:
> > > haddock: internal Haddock or GHC error: Maybe.fromJust: Nothing
> Yes, haddock 2.4.1 (the most recent release) bombs on
> Data.TypeLevel.Num.Aliases.

Hackage uses Haddock 2.3.0, doesn’t it?

Anyway, can something be done so that not all packages depending (directly or 
indirectly) on type-level are without documentation? For example, type-level 
could be installed on the Hackage server without documentation instead of not 
being installed at all.

Best wishes,

More information about the Haskell-Cafe mailing list